Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class XMLPullParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLPullParser

Direct Known Subclasses:
  AbstractXMLDocumentPullParser

Deprecated. please use JDK supplied XML parsers and transformers

    public abstract class XMLPullParser

extends Object

Base class of all XML-related parsers.

In addition to the features and properties recognized by the parser configuration, this parser recognizes these additional features and properties:

- Properties
  - http://apache.org/xml/properties/internal/error-handler
  - http://apache.org/xml/properties/internal/entity-resolver

Field Summary
`protected static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_HANDLER` Deprecated. Property identifier: error handler.
`protected XMLPullParserConfiguration` | `fConfiguration` Deprecated. The parser configuration.

Constructor Summary
`protected` | `XMLPullParser(XMLPullParserConfiguration config)` Deprecated. Default Constructor.

Method Summary
`boolean` | `parse(boolean complete)` Deprecated.
`void` | `parse(XMLInputSource inputSource)` Deprecated. parse
`protected void` | `reset()` Deprecated. reset all components before parsing
`void` | `setInputSource(XMLInputSource inputSource)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_RESOLVER

    protected static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### ERROR_HANDLER

    protected static final String ERROR_HANDLER

  Deprecated.
  Property identifier: error handler.

  See Also:
    Constant Field Values

### fConfiguration

    protected XMLPullParserConfiguration fConfiguration

  Deprecated.
  The parser configuration.

Constructor Detail

### XMLPullParser

    protected XMLPullParser(XMLPullParserConfiguration config)

  Deprecated.
  Default Constructor.

Method Detail

### parse

    public void parse(XMLInputSource inputSource)
               throws XNIException,
                      IOException

  Deprecated.
  parse

  Parameters:
    `inputSource` -
  Throws:
    `XNIException`
    `IOException`

### reset

    protected void reset()
                  throws XNIException

  Deprecated.
  reset all components before parsing

  Throws:
    `XNIException`

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws XMLConfigurationException,
                               IOException

  Deprecated.
  Throws:
    `XMLConfigurationException`
    `IOException`

### parse

    public boolean parse(boolean complete)
                  throws XNIException,
                         IOException

  Deprecated.
  Throws:
    `XNIException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD